RK-A2 - Feature #3710

Disallow moving forward in chapter or exercise
08/22/2024 12:13 PM - Ram Kordale

Status: Closed Start date: 08/22/2024
Priority: Immediate Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.80 hour
Target version: Spent time: 0.00 hour
Description

If user has worked out until Exercise E, allow user to move to exercise <= E+1.
Until user finishes last exercise problem of Chapter C, disallow moving to chapter > C.

Note that even if the user skips an exercise problem, the problem is counted as having worked upon.

History

#1 - 08/23/2024 06:08 AM - Ram Kordale
- Assignee set to Dewakar Chaubey

- Estimated time set to 0.80 h

#2 - 08/23/2024 08:43 AM - Dewakar Chaubey
- Status changed from New to In Progress

- % Done changed from 0 to 80

#3 - 08/23/2024 12:15 PM - Dewakar Chaubey
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#4 - 08/23/2024 12:16 PM - Dewakar Chaubey
- Status changed from Resolved to Review

- Assignee changed from Dewakar Chaubey to Shubham Boke

#5 - 08/29/2024 05:44 AM - Ram Kordale

- Priority changed from Urgent to Immediate

#6 - 08/30/2024 09:45 AM - Shubham Boke

- Assignee changed from Shubham Boke to Ayanava Karmakar

#7 - 09/04/2024 06:58 AM - Dewakar Chaubey
- Status changed from Review to Reopened

- Assignee changed from Ayanava Karmakar to Dewakar Chaubey

when the questions from Chapter 1 are completed, the successive chapter number is enabled in the 'Chapters' dropdown. After selecting the next
chapter (Chapter 2), the exercise initially shows the same exercise number from Chapter 1. However, after entering 'y' in response, the exercise
updates correctly. But when we are on Chapter 2, if | select Chapter 1, it continues giving questions from Chapter 2 only.

#8 - 09/06/2024 12:36 PM - Dewakar Chaubey

- Status changed from Reopened to In Progress

#9 - 09/06/2024 12:37 PM - Dewakar Chaubey

- Status changed from In Progress to Resolved

#10 - 09/06/2024 12:37 PM - Dewakar Chaubey
- Status changed from Resolved to Review

#11 - 09/06/2024 12:37 PM - Dewakar Chaubey
- Assignee changed from Dewakar Chaubey to Shubham Boke

#12 - 09/10/2024 01:37 PM - Shubham Boke

- Assignee changed from Shubham Boke to Ayanava Karmakar

#13 - 09/13/2024 10:46 AM - Dewakar Chaubey

- Assignee changed from Ayanava Karmakar to Shubham Boke

#14 - 09/13/2024 11:58 AM - Shubham Boke

- Assignee changed from Shubham Boke to Ram Kordale

#15 - 09/13/2024 12:01 PM - Ram Kordale

- Description updated

#16 - 09/13/2024 12:02 PM - Shubham Boke

- Status changed from Review to Feedback

#17 - 09/25/2024 07:08 AM - Ram Kordale
- Status changed from Feedback to Closed
